#!/usr/bin/env ruby
# -*- coding: utf-8 -*-

puts "問題！"
puts "今の元号はなんでしょうか？"
puts "1：平成"
puts "2：令和"
while true
print "答を入力："
kotae = gets.chomp.to_i #解答を入力
if kotae == 1
puts "ブブー！不正解..."
break
elsif kotae == 2
puts "ピンポーン！正解！！"
break
else
puts "その選択肢はないよ"
redo
end
end
printf("正解は2番でした\n")

sleep(2)
puts "問題！"
puts "元号の数はいくつ?"
puts "1：234個"
puts "2：247個"
while true
print "答を入力："
kotae = gets.chomp.to_i #解答を入力
if kotae == 1
puts "ブブー！不正解..."
break
elsif kotae == 2
puts "ピンポーン！正解！！"
break
else
puts "その選択肢はないよ"
redo
end
end
printf("正解は2番でした\n")

sleep(2)
puts "問題！"
puts "朝廷にある珍しい動物が献上されたことに由来する、「大化」に次ぐ日本で2番目の元号は何？"
puts "1：霊亀"
puts "2：白雉"
while true
print "答を入力："
kotae = gets.chomp.to_i #解答を入力
if kotae == 1
puts "ブブー！不正解..."
break
elsif kotae == 2
puts "ピンポーン！正解！！"
break
else
puts "その選択肢はないよ"
redo
end
end
printf("正解は2番でした\n")

sleep(2)
puts "問題！"
puts "日本の元号のうち漢字4文字である5つとは、天平感宝、天平勝宝、天平宝字、天平神護と何？"
puts "1：神戸慶雲"
puts "2：神戸慶安"
while true
print "答を入力："
kotae = gets.chomp.to_i #解答を入力
if kotae == 2
puts "ブブー！不正解..."
break
elsif kotae == 1
puts "ピンポーン！正解！！"
break
else
puts "その選択肢はないよ"
redo
end
end
printf("正解は1番でした\n")

sleep(2)
puts "問題！"
puts "中国で前漢の武帝によって定められた、世界初の元号は何？"
puts "1：元光"
puts "2：建元"
while true
print "答を入力："
kotae = gets.chomp.to_i #解答を入力
if kotae == 1
puts "ブブー！不正解..."
break
elsif kotae == 2
puts "ピンポーン！正解！！"
break
else
puts "その選択肢はないよ"
redo
end
end
printf("正解は2番でした\n")

sleep(2)
puts "問題！"
puts "日本の元号を五十音順に並べたとき、最後にくる元号は何？"
puts "1：和明"
puts "2：和銅"
while true
print "答を入力："
kotae = gets.chomp.to_i #解答を入力
if kotae == 1
puts "ブブー！不正解..."
break
elsif kotae == 2
puts "ピンポーン！正解！！"
break
else
puts "その選択肢はないよ"
redo
end
end
printf("正解は2番でした\n")

sleep(2)
puts "バイバイ($・・)/~~~"
